URL
Date: 2016-06-24

java.net

## Class URL

- java.lang.Object
- - java.net.URL

- All Implemented Interfaces:
    Serializable

      public final class URL
      extends Object
      implements Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `URL(String var0)`
    `URL(String var0, String var1, int var2, String var3)`
    `URL(String var0, String var1, int var2, String var3, URLStreamHandler var4)`
    `URL(String var0, String var1, String var2)`
    `URL(URL var0, String var1)`
    `URL(URL var0, String var1, URLStreamHandler var2)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAuthority()`
    `Object` | `getContent()`
    `Object` | `getContent(Class[] var0)`
    `int` | `getDefaultPort()`
    `String` | `getFile()`
    `String` | `getHost()`
    `String` | `getPath()`
    `int` | `getPort()`
    `String` | `getProtocol()`
    `String` | `getQuery()`
    `String` | `getRef()`
    `String` | `getUserInfo()`
    `URLConnection` | `openConnection()`
    `InputStream` | `openStream()`
    `boolean` | `sameFile(URL var0)`
    `protected void` | `set(String var0, String var1, int var2, String var3, String var4)`
    `protected void` | `set(String var0, String var1, int var2, String var3, String var4, String var5, String var6, String var7)`
    `static void` | `setURLStreamHandlerFactory(URLStreamHandlerFactory var0)`
    `String` | `toExternalForm()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### URL

          public URL(String var0)
              throws MalformedURLException

      Throws:
        `MalformedURLException`

    - #### URL

          public URL(String var0,
             String var1,
             int var2,
             String var3)
              throws MalformedURLException

      Throws:
        `MalformedURLException`

    - #### URL

          public URL(String var0,
             String var1,
             int var2,
             String var3,
             URLStreamHandler var4)
              throws MalformedURLException

      Throws:
        `MalformedURLException`

    - #### URL

          public URL(String var0,
             String var1,
             String var2)
              throws MalformedURLException

      Throws:
        `MalformedURLException`

    - #### URL

          public URL(URL var0,
             String var1)
              throws MalformedURLException

      Throws:
        `MalformedURLException`

    - #### URL

          public URL(URL var0,
             String var1,
             URLStreamHandler var2)
              throws MalformedURLException

      Throws:
        `MalformedURLException`

  - ### Method Detail

    - #### getAuthority

          public String getAuthority()

    - #### getContent

          public final Object getContent()
                                  throws IOException

      Throws:
        `IOException`

    - #### getContent

          public final Object getContent(Class[] var0)
                                  throws IOException

      Throws:
        `IOException`

    - #### getDefaultPort

          public int getDefaultPort()

    - #### getFile

          public String getFile()

    - #### getHost

          public String getHost()

    - #### getPath

          public String getPath()

    - #### getPort

          public int getPort()

    - #### getProtocol

          public String getProtocol()

    - #### getQuery

          public String getQuery()

    - #### getRef

          public String getRef()

    - #### getUserInfo

          public String getUserInfo()

    - #### openConnection

          public URLConnection openConnection()
                                       throws IOException

      Throws:
        `IOException`

    - #### openStream

          public final InputStream openStream()
                                       throws IOException

      Throws:
        `IOException`

    - #### sameFile

          public boolean sameFile(URL var0)

    - #### set

          protected void set(String var0,
                 String var1,
                 int var2,
                 String var3,
                 String var4)

    - #### set

          protected void set(String var0,
                 String var1,
                 int var2,
                 String var3,
                 String var4,
                 String var5,
                 String var6,
                 String var7)

    - #### setURLStreamHandlerFactory

          public static void setURLStreamHandlerFactory(URLStreamHandlerFactory var0)

    - #### toExternalForm

          public String toExternalForm()